#ifndef PHYSICALWORLD_H
#define PHYSICALWORLD_H

#include <vector>
#include "AABB.h"
#include "sweepAndPrune.h"

class physicalWorld
{
public:
	float dt;
	int width;
	int height;
	std::vector<AABB *> *boxes;
	int usedBoxes;
	void addBox(int, int, int, int, float, float);
	void removeBox(int);
	void step();
	SweepAndPrune *SAP;
	physicalWorld();
	physicalWorld(int, int, float);
};

#endif