#ifndef SWEEPANDPRUNE_H
#define SWEEPANDPRUNE_H

#include <vector>
#include "boxCorner.h"
#include "PM.h"

class physicalWorld;

class SweepAndPrune
{
public:
	physicalWorld *world;
	std::vector<boxCorner *> *cornersX;
	std::vector<boxCorner *> *cornersY;
	PM *pmanagement;
	void updateListByAdding(AABB *);
	void initialCheckIntersections();
	void updateObject(AABB *, float, float);
	void updateListByRemoving(AABB *);
	SweepAndPrune();
};

#endif